Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

OperationCreateConicalBentPlateByPartsAndAperture Method

Modifies the first plate by adding a conical bend that connects it to the second plate creating a new BentPlate instance based on two parts. The resulting bend will have the given aperture and the provided larger radius.

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
public static BentPlate CreateConicalBentPlateByPartsAndAperture(
	Part part1,
	Part part2,
	double largestRadius,
	double halfAperture
)

Parameters

part1
Type: Tekla.Structures.ModelPart
One part used for creating the bent plate.
part2
Type: Tekla.Structures.ModelPart
The other part used for creating the bent plate.
largestRadius
Type: SystemDouble
Radius of the largest section of the cone
halfAperture
Type: SystemDouble
Angle between a generatrix of the cone and its center line (i.e. axis)

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise
See Also